Bug 493118 - Allow enrolled token to be re-enrolled with local ESC UI
Allow enrolled token to be re-enrolled with local ESC UI
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: esc (Show other bugs)
5.4
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Jack Magne
desktop-bugs@redhat.com
:
Depends On:
Blocks: 443788 488291 497004
  Show dependency treegraph
 
Reported: 2009-03-31 13:14 EDT by Jack Magne
Modified: 2009-09-02 05:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:58:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Magne 2009-03-31 13:14:43 EDT
Description of problem:


For the purposes of the new token "renewal" feature, we must allow the user to enroll an already enrolled token. Right now, the local UI code does not allow the enroll button to be used if the token is already enrolled.

For the local XUL ESC UI only, change the code to the enrollment button is functional to allow the use of the token renewal feature.
Comment 1 Jack Magne 2009-03-31 14:28:33 EDT
Simple change below:

Index: ESC.js
===================================================================
RCS file: /cvs/dirsec/esc/src/app/xul/esc/chrome/content/esc/ESC.js,v
retrieving revision 1.22
diff -r1.22 ESC.js
2305,2307c2305,2307
<        DisableItem(enrollbtn);
<        if(adminkeymenu)
<            DisableItem(menu_enroll);
---
>       EnableItem(enrollbtn);
>       if(adminkeymenu)
>           EnableItem(menu_enroll);
Comment 2 Christina Fu 2009-03-31 14:34:15 EDT
cfu+
Comment 3 Jack Magne 2009-03-31 14:36:43 EDT
 cvs -d :ext:jmagne@cvs.fedora.redhat.com/cvs/dirsec commit -m "Allow ESC UI t
o re-enroll an enrolled token, #493118." ESC.js
Enter passphrase for key '/home/jack/.ssh/id_rsa':
Checking in ESC.js;
/cvs/dirsec/esc/src/app/xul/esc/chrome/content/esc/ESC.js,v  <--  ESC.js
new revision: 1.23; previous revision: 1.22
done
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedoraproject.org...
...syncmail done.
Comment 4 Scott Haines 2009-04-22 14:43:56 EDT
Changing product from Certificate System to Red Hat Enterprise 5.  Rebase of
ESC to version 1.1.0 to pick up present and future Certificate System v8 fixes.
Comment 5 Scott Haines 2009-04-22 14:44:37 EDT
Setting ack requests.
Comment 6 Scott Haines 2009-04-22 15:00:36 EDT
Setting devel ack.
Comment 9 Asha Akkiangady 2009-07-26 16:22:04 EDT
Verified.

Performed token renewal and re-enroll using Gemalto 64K smart cards on Rhel 5.3 i386  successfully.
coolkey version: coolkey-1.1.0-6.el5 (latest from RHEL5.3 BaseOS)
esc version: esc-1.1.0-9.el5 (cs 8.0 build)

After the enrollment, enrollment button is
functional to allow the use of the token renewal and re-enroll feature.
Comment 11 errata-xmlrpc 2009-09-02 05:58:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1310.html

Note You need to log in before you can comment on or make changes to this bug.